# frozen_string_literal: true

Gem::Specification.new do |spec|
	spec.name          = "dhall-xml"
	spec.version       = `git describe --always --dirty`
	spec.authors       = ["Stephen Paul Weber"]
	spec.email         = ["dev@singpolyma.net"]
	spec.license       = "GPL-3.0"

	spec.summary       = "XML extensions for Dhall"
	spec.description   = "Use Dhall to generate XML or integrate with Nokogiri."

	spec.files         =
		`git ls-files -z`.split("\x00".b).reject do |f|
			f.start_with?(".", "test/", "scripts/") ||
				f == "Makefile" || f == "Gemfile"
		end
	spec.bindir        = "bin"
	spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
	spec.require_paths = ["lib"]

	spec.add_dependency "dhall", "~> 0.4.0"
	spec.add_dependency "nokogiri", "~> 1.10"

	spec.add_development_dependency "simplecov", "~> 0.16.1"
end
